<%-- 
    Document   : index
    Created on : 03.07.2014, 11:26:38
    Author     : micha
--%>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="x" uri="http://java.sun.com/jsp/jstl/xml" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>

<c:catch var="ioError">
    <c:import url="/WEB-INF/xsl/spielplan.xsl" var="xsl" />
    <c:import url="/WEB-INF/xml/spielplan.xml" var="xml" />    
</c:catch>

<c:choose>
    <c:when test="${not empty ioError}">
        <h1>fehler: ${ioError.message}</h1>
    </c:when>
    <c:otherwise>

        <!DOCTYPE html>
        <html>
            <head>
                <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
                <title>XSLT macht Spass!</title>
            </head>
            <body>
                <h1>XSLT macht Spass!</h1>
                <x:transform doc="${xml}" xslt="${xsl}"/> 
            </body>
        </html>
        
    </c:otherwise>
</c:choose>